Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 3078)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 3079)
@@ -12,30 +12,30 @@
 
 /**
  * A factory for creating Adapter objects.
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
 public class CooccurrenceAdapterFactory extends TXMResultAdapterFactory {
-
 	
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(CooccurrenceAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(CooccurrenceAdapterFactory.class).getSymbolicName() + "/icons/cooccurrences.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
-
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(CooccurrenceAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(CooccurrenceAdapterFactory.class).getSymbolicName() + "/icons/cooccurrences.png"); //$NON-NLS-1$ //$NON-NLS-2$
+	
+	
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof Cooccurrence)	{
-			return new TXMResultAdapter() {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
+		if (this.canAdapt(adapterType) && adaptableObject instanceof Cooccurrence) {
+			return adapterType.cast(new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.core/src/java/org/txm/scripts/importer/MileStoneProjection.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/scripts/importer/MileStoneProjection.groovy	(revision 3078)
+++ tmp/org.txm.core/src/java/org/txm/scripts/importer/MileStoneProjection.groovy	(revision 3079)
@@ -104,8 +104,8 @@
 	}
 	
 	public static void main(String[] args) {
-		File inputFile = new File(System.getProperty("user.home"), "TXM-0.8.1/corpora/XTZMILESTONES/tokenized/test.xml")
-		File outputFile = new File(System.getProperty("user.home"), "TXM-0.8.1/corpora/XTZMILESTONES/tokenized/result.xml")
+		File inputFile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XTZMILESTONES/tokenized/test.xml")
+		File outputFile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XTZMILESTONES/tokenized/result.xml")
 		
 		MileStoneProjection msp = new MileStoneProjection(inputFile, "text", "w", "lb");
 		println "Sucess: "+msp.process(outputFile)
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 3078)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EnginesManager.java	(revision 3079)
@@ -244,7 +244,7 @@
 	 * @return the installed engine according to its class type if it exists
 	 *         otherwise null
 	 */
-	public T getEngine(Class classType) {
+	public T getEngine(Class<?> classType) {
 		T engine = null;
 		for (T engine2 : this.values()) {
 			if (engine2.getClass().equals(classType)) {
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3078)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3079)
@@ -1906,7 +1906,7 @@
 	 * 
 	 * @return a message indicating the start of computing
 	 */
-	// FIXME: SJ: this method must become abstract in TXM 0.8.1 and implemented by subclasses
+	// FIXME: SJ: this method must become abstract in TXM 0.8.2 and implemented by subclasses
 	public String getComputingStartMessage() {
 		return NLS.bind("Computing {0}...", this.getClass().getSimpleName());
 	}
@@ -1919,7 +1919,7 @@
 	 * 
 	 * @return a message indicating the computing is done
 	 */
-	// FIXME: SJ: this method must become abstract in TXM0.8.1 and implemented by subclasses
+	// FIXME: SJ: this method must become abstract in TXM0.8.2 and implemented by subclasses
 	public String getComputingDoneMessage() {
 		return TXMCoreMessages.common_done;
 	}
